> ## Documentation Index
> Fetch the complete documentation index at: https://tokenterminal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Blockchain comparison dataset

> Use this endpoint to retrieve the Blockchain comparison dataset.

You can get the whole dataset by omitting all parameters.




## OpenAPI

````yaml /api-reference/openapi.json get /v2/datasets/blockchain_comparison
openapi: 3.0.0
info:
  title: Token Terminal API
  termsOfService: https://tokenterminal.com/terms
  version: 2.0.0
servers:
  - url: https://api.tokenterminal.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/datasets/blockchain_comparison:
    get:
      tags:
        - Datasets
      summary: Get the Blockchain comparison dataset
      description: |
        Use this endpoint to retrieve the Blockchain comparison dataset.

        You can get the whole dataset by omitting all parameters.
      parameters:
        - name: chain_ids
          in: query
          description: >
            Allows you to select one or more of the chains available in the
            dataset. When including multiple chains, separate each one with a
            comma. Example: `ethereum,arbitrum`.
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
          example:
            - ethereum
            - arbitrum
        - name: order_by
          in: query
          description: |
            Allows you to select a field by which the response array is sorted.
          schema:
            type: string
            format: string
          example: market_cap_fd_30d_change
        - name: order_direction
          in: query
          description: >
            Allows you to define order direction for the field selected in
            `order_by`. If no order_direction is selected, the response defaults
            to `asc`.
          schema:
            type: string
            format: string
          example: desc
        - name: limit
          in: query
          description: >-
            Limit the number of results returned. Usage through API reference
            has max limit of 50.
          schema:
            type: number
            format: number
          example: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: The Array containing the data for a successful response.
                    items:
                      type: object
                      properties:
                        chain_id:
                          type: string
                          description: The ID of the chain
                        chain_name:
                          type: string
                          description: The name of the chain
                        market_cap_fd_latest:
                          type: number
                          description: Latest market cap fully diluted
                        market_cap_fd_1d_change:
                          type: number
                          description: Change in market cap fully diluted in the past 1 day
                        market_cap_fd_7d_change:
                          type: number
                          description: >-
                            Change in market cap fully diluted in the past  7
                            days
                        market_cap_fd_30d_change:
                          type: number
                          description: >-
                            Change in market cap fully diluted in the past  30
                            days
                        market_cap_fd_90d_change:
                          type: number
                          description: >-
                            Change in market cap fully diluted in the past  90
                            days
                        market_cap_fd_180d_change:
                          type: number
                          description: >-
                            Change in market cap fully diluted in the past  180
                            days
                        market_cap_fd_365d_change:
                          type: number
                          description: >-
                            Change in market cap fully diluted in the past  365
                            days
                        market_cap_circ_latest:
                          type: number
                          description: Latest market cap circulating
                        market_cap_circ_1d_change:
                          type: number
                          description: Change in market cap circulating in the past 1 day
                        market_cap_circ_7d_change:
                          type: number
                          description: Change in market cap circulating in the past  7 days
                        market_cap_circ_30d_change:
                          type: number
                          description: >-
                            Change in market cap circulating in the past  30
                            days
                        market_cap_circ_90d_change:
                          type: number
                          description: >-
                            Change in market cap circulating in the past  90
                            days
                        market_cap_circ_180d_change:
                          type: number
                          description: >-
                            Change in market cap circulating in the past  180
                            days
                        market_cap_circ_365d_change:
                          type: number
                          description: >-
                            Change in market cap circulating in the past  365
                            days
                        active_users_daily_latest:
                          type: number
                          description: Active users (daily) for the last 1 day
                        active_users_daily_1d_change:
                          type: number
                          description: Change in active users (daily) in the past 1 day
                        active_users_daily_7d_change:
                          type: number
                          description: Change in active users (daily) in the past  7 days
                        active_users_daily_30d_change:
                          type: number
                          description: Change in active users (daily) in the past  30 days
                        active_users_daily_90d_change:
                          type: number
                          description: Change in active users (daily) in the past  90 days
                        active_users_daily_180d_change:
                          type: number
                          description: Change in active users (daily) in the past  180 days
                        active_users_daily_365d_change:
                          type: number
                          description: Change in active users (daily) in the past  365 days
                        transaction_count_1d:
                          type: number
                          description: Transaction count for the last 1 day
                        transaction_count_1d_trend:
                          type: number
                          description: Transaction count trend for the last 1 day
                        transaction_count_7d:
                          type: number
                          description: Transaction count for the last 7 days
                        transaction_count_7d_trend:
                          type: number
                          description: Transaction count trend for the last 7 days
                        transaction_count_30d:
                          type: number
                          description: Transaction count for the last 30 days
                        transaction_count_30d_trend:
                          type: number
                          description: Transaction count trend for the last 30 days
                        transaction_count_90d:
                          type: number
                          description: Transaction count for the last 90 days
                        transaction_count_90d_trend:
                          type: number
                          description: Transaction count trend for the last 90 days
                        transaction_count_180d:
                          type: number
                          description: Transaction count for the last 180 days
                        transaction_count_180d_trend:
                          type: number
                          description: Transaction count trend for the last 180 days
                        transaction_count_365d:
                          type: number
                          description: Transaction count for the last 365 days
                        transaction_count_365d_trend:
                          type: number
                          description: Transaction count trend for the last 365 days
                        transaction_count_max:
                          type: number
                          description: Transaction count for all time
                        core_developers_latest:
                          type: number
                          description: >-
                            Number of distinct GitHub users that made 1+ commits
                            to the project's public GitHub repositories during
                            the past 30 days.
                        core_developers_1d_change:
                          type: number
                          description: Change in Core developers in the past 1 day
                        core_developers_7d_change:
                          type: number
                          description: Change in Core developers in the past  7 days
                        core_developers_30d_change:
                          type: number
                          description: Change in Core developers in the past  30 days
                        core_developers_90d_change:
                          type: number
                          description: Change in Core developers in the past  90 days
                        core_developers_180d_change:
                          type: number
                          description: Change in Core developers in the past  180 days
                        core_developers_365d_change:
                          type: number
                          description: Change in Core developers in the past  365 days
                        ecosystem_fees_1d_sum:
                          type: number
                          description: Ecosystem fees for the last 1 day
                        ecosystem_fees_1d_trend:
                          type: number
                          description: Ecosystem fees trend for the last 1 day
                        ecosystem_fees_7d_sum:
                          type: number
                          description: Ecosystem fees for the last 7 days
                        ecosystem_fees_7d_trend:
                          type: number
                          description: Ecosystem fees trend for the last 7 days
                        ecosystem_fees_30d_sum:
                          type: number
                          description: Ecosystem fees for the last 30 days
                        ecosystem_fees_30d_trend:
                          type: number
                          description: Ecosystem fees trend for the last 30 days
                        ecosystem_fees_90d_sum:
                          type: number
                          description: Ecosystem fees for the last 90 days
                        ecosystem_fees_90d_trend:
                          type: number
                          description: Ecosystem fees trend for the last 90 days
                        ecosystem_fees_180d_sum:
                          type: number
                          description: Ecosystem fees for the last 180 days
                        ecosystem_fees_180d_trend:
                          type: number
                          description: Ecosystem fees trend for the last 180 days
                        ecosystem_fees_365d_sum:
                          type: number
                          description: Ecosystem fees for the last 365 days
                        ecosystem_fees_365d_trend:
                          type: number
                          description: Ecosystem fees trend for the last 365 days
                        ecosystem_fees_max_sum:
                          type: number
                          description: Ecosystem fees for all time
                        ecosystem_revenue_1d_sum:
                          type: number
                          description: Ecosystem revenue for the last 1 day
                        ecosystem_revenue_1d_trend:
                          type: number
                          description: Ecosystem revenue trend for the last 1 day
                        ecosystem_revenue_7d_sum:
                          type: number
                          description: Ecosystem revenue for the last 7 days
                        ecosystem_revenue_7d_trend:
                          type: number
                          description: Ecosystem revenue trend for the last 7 days
                        ecosystem_revenue_30d_sum:
                          type: number
                          description: Ecosystem revenue for the last 30 days
                        ecosystem_revenue_30d_trend:
                          type: number
                          description: Ecosystem revenue trend for the last 30 days
                        ecosystem_revenue_90d_sum:
                          type: number
                          description: Ecosystem revenue for the last 90 days
                        ecosystem_revenue_90d_trend:
                          type: number
                          description: Ecosystem revenue trend for the last 90 days
                        ecosystem_revenue_180d_sum:
                          type: number
                          description: Ecosystem revenue for the last 180 days
                        ecosystem_revenue_180d_trend:
                          type: number
                          description: Ecosystem revenue trend for the last 180 days
                        ecosystem_revenue_365d_sum:
                          type: number
                          description: Ecosystem revenue for the last 365 days
                        ecosystem_revenue_365d_trend:
                          type: number
                          description: Ecosystem revenue trend for the last 365 days
                        ecosystem_revenue_max_sum:
                          type: number
                          description: Ecosystem revenue for all time
                        ecosystem_dex_trading_volume_1d_sum:
                          type: number
                          description: Ecosystem dex_trading_volume for the last 1 day
                        ecosystem_dex_trading_volume_1d_trend:
                          type: number
                          description: >-
                            Ecosystem dex_trading_volume trend for the last 1
                            day
                        ecosystem_dex_trading_volume_7d_sum:
                          type: number
                          description: Ecosystem dex_trading_volume for the last 7 days
                        ecosystem_dex_trading_volume_7d_trend:
                          type: number
                          description: >-
                            Ecosystem dex_trading_volume trend for the last 7
                            days
                        ecosystem_dex_trading_volume_30d_sum:
                          type: number
                          description: Ecosystem dex_trading_volume for the last 30 days
                        ecosystem_dex_trading_volume_30d_trend:
                          type: number
                          description: >-
                            Ecosystem dex_trading_volume trend for the last 30
                            days
                        ecosystem_dex_trading_volume_90d_sum:
                          type: number
                          description: Ecosystem dex_trading_volume for the last 90 days
                        ecosystem_dex_trading_volume_90d_trend:
                          type: number
                          description: >-
                            Ecosystem dex_trading_volume trend for the last 90
                            days
                        ecosystem_dex_trading_volume_180d_sum:
                          type: number
                          description: Ecosystem dex_trading_volume for the last 180 days
                        ecosystem_dex_trading_volume_180d_trend:
                          type: number
                          description: >-
                            Ecosystem dex_trading_volume trend for the last 180
                            days
                        ecosystem_dex_trading_volume_365d_sum:
                          type: number
                          description: Ecosystem dex_trading_volume for the last 365 days
                        ecosystem_dex_trading_volume_365d_trend:
                          type: number
                          description: >-
                            Ecosystem dex_trading_volume trend for the last 365
                            days
                        ecosystem_dex_trading_volume_max_sum:
                          type: number
                          description: Ecosystem dex_trading_volume for all time
                        ecosystem_tvl_latest:
                          type: number
                          description: Latest ecosystem tvl
                        ecosystem_tvl_1d_change:
                          type: number
                          description: Change in ecosystem tvl in the past 1 day
                        ecosystem_tvl_7d_change:
                          type: number
                          description: Change in ecosystem tvl in the past  7 days
                        ecosystem_tvl_30d_change:
                          type: number
                          description: Change in ecosystem tvl in the past  30 days
                        ecosystem_tvl_90d_change:
                          type: number
                          description: Change in ecosystem tvl in the past  90 days
                        ecosystem_tvl_180d_change:
                          type: number
                          description: Change in ecosystem tvl in the past  180 days
                        ecosystem_tvl_365d_change:
                          type: number
                          description: Change in ecosystem tvl in the past  365 days
                        ecosystem_active_loans_latest:
                          type: number
                          description: Latest ecosystem active loans
                        ecosystem_active_loans_1d_change:
                          type: number
                          description: Change in ecosystem active loans in the past 1 day
                        ecosystem_active_loans_7d_change:
                          type: number
                          description: Change in ecosystem active loans in the past  7 days
                        ecosystem_active_loans_30d_change:
                          type: number
                          description: >-
                            Change in ecosystem active loans in the past  30
                            days
                        ecosystem_active_loans_90d_change:
                          type: number
                          description: >-
                            Change in ecosystem active loans in the past  90
                            days
                        ecosystem_active_loans_180d_change:
                          type: number
                          description: >-
                            Change in ecosystem active loans in the past  180
                            days
                        ecosystem_active_loans_365d_change:
                          type: number
                          description: >-
                            Change in ecosystem active loans in the past  365
                            days
                        ecosystem_project_count_latest:
                          type: number
                          description: Latest ecosystem project count
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````